[ -f functions.sh ] && source functions.sh

for l in $3 ; do
if [[ "${l}" =~ http://|https://|www\..* ]]; then
pageTitle="$(curl -s --connect-timeout 5 "$l" | sed -n -e 'H;${x;s!.*<head[^>]*>\(.*\)</head>.*!\1!;T;s!.*<title>\(.*\)</title>.*!\1!p}')"

# Fix up pageTitle a bit.
pageTitle="${pageTitle//&#039;/\'}"
pageTitle="${pageTitle//&#8211;/-}"

shortLink="${l#*://}"
shortLink="${shortLink%%/*}"
if [ ${#pageTitle} -gt 1 ]; then
msg "$2" "$pageTitle at $shortLink"
fi
fi
done
